﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.DataSharing.Province
{
    public interface IProvinceRequest : ISharingRequest
    {
        ClientInfo ClientInfo { get; set; }

        void BuildClientInfo(string clientId, string clientSecret);
    }

    public interface IProvinceRequest<TData> : IProvinceRequest
    {
        TData Data { get; set; }

        void SetData(TData data);
    }
}
